#!/usr/bin/env bash

set -euxo pipefail

root="$(git rev-parse --show-toplevel)"

cd "$root"

gitleaks git

# Only validate encrypted files if we are tracking any
if [[ -e .ageboxreg.yml ]]; then
  agebox validate --no-decrypt
fi
